import sys
import os
from glob import glob

# -- Archive directory
# /archive/frames/S6/Burst-MDC/GHLV-BRST_S6


# -- Cache file format
# H H1_ER_C00_L1 1074903984 4 file://localhost/archive/frames/ER5/hoft/H1/H-H1_ER_C00_L1-10749/H-H1_ER_C00_L1-1074903984-4.gwf

start = 961545615
end = 971654415

# ifo = 'GHLV'
# frtype = 'BRST_S6'

# basedir = '/archive/frames/S6/Burst-MDC/GHLV-BRST_S6'
basedir = '/archive/frames/S6/Burst-MDC/GHLV-BRST_S6'

sfour = 9615
efour = 9716

outfile = open('brst_s6.cache','w')
for four in range(sfour, efour+1):
    print "Starting directory " + str(four)
    dirname = "{0}/GHLV-BRST_S6-{1}/".format(basedir, four)
    filelist = glob(dirname + '*')
    
    for filename in filelist:
        head, tail = os.path.split(filename)
        ifo, name, gps, dur = tail.split('-')
        dur = dur[:-4]

        # H H1_ER_C00_L1 1074903984 4 file://localhost/archive/frames/ER5/hoft/H1/H-H1_ER_C00_L1-10749/H-H1_ER_C00_L1-1074903984-4.gwf
        outfile.write("{0} {1} {2} {3} file://localhost{4} \n".format(
                ifo, name, gps, dur, filename))

outfile.close()
        


