#!/usr/bin/python

import sys, json
from ligo.gracedb.rest import GraceDb
import os
import subprocess
import glob

dirname = os.getcwd()
graceid = dirname.split('/')[-1]
print graceid

# -- Get event info from gracedb
gracedb = GraceDb()
skyname = glob.glob('skymap*.fits')[0]
gracedb.writeLog(graceid, "BayesWave Skymap image", filename='plots/skymap.png', tagname='sky_loc')
gracedb.writeLog(graceid, "BayesWave skymap FITS", filename=skyname, tagname='sky_loc')
gracedb.writeLog(graceid, "<a href='https://ldas-jobs.ligo.caltech.edu/~jkanner/bayeswave/er6/output/{0}'>BWB Follow-up results</a>".format(graceid))

