
# -----------
# parse the lag file
# ----------

lagfile = open('/home/jkanner/sergey/cwb_laglist.txt', 'r')
lagdict = {}
for line in lagfile:
    try:
        spl = line.split('=')
        snum = spl[1].split()[0]
        num  = spl[2].split()[0]
    except: continue

    key = (int(snum), int(num))
    L_lag  = spl[4].split()[0]
    H_lag  = spl[5].split()[0]    
    lagdict[key] = { 'H1': int(float(H_lag)), 'L1': int(float(L_lag)) }

lagfile.close()

# ------------
# Get lag times for each trigger
# ------------
trigfile = open('/home/jkanner/sergey/bg.txt', 'r')
count = 0

outfile = open('jonah_lag.txt', 'w')
outfile.write('# H1_GPS   L1_Lag \n')

for line in trigfile:

    spl = line.split()
    if spl[0] == '#': continue

    count += 1    
    rho = spl[2]
    lag = int(float(spl[7]))
    slag = int(float(spl[8]))

    trigdict = lagdict[(slag, lag)]

    H_lag = trigdict['H1']
    L_lag = trigdict['L1']

    H_gps = float(spl[20])
    L_gps = float(spl[19])

    diff = round(H_gps - L_gps)

    print H_gps - L_gps - diff    

    # print L_gps, H_gps 
    # print L_lag, H_lag
    # print L_gps - L_lag
    # print H_gps - H_lag
    # a = L_gps - L_lag
    # b = H_gps - H_lag
    # print a - b

    print "Real GPS in H1:", H_gps
    print "Time lag for L1:", diff
    outfile.write(" {0}  {1} \n".format(H_gps, diff))

    if count > 500: break

outfile.close()
trigfile.close()
