
from pylab import *
ion()

close('all')

log = open('BurstMDC-ER5BURST-Log.txt', 'r')

name = 'SG153Q8d9'

gps = []
hrss = []
for line in log:
    spline = line.split()
    if spline[0] == name:
        print "Found waveform {0}".format(spline[0])
        hrss.append( float(spline[1]) )
        gps.append( float(spline[10]) )

hist( log10(hrss) )

loudtimes = [gps[i] for i in range(len(hrss)) if log10(hrss[i]) > -22.5]

print loudtimes

outfile = open('go_sg153.sh','w')

for time in loudtimes:
    outfile.write("./go_condor.sh {0} \n".format(time) )
outfile.close()

