
# See Vallisneri 2012 PRD 86, 082001
# Eqn  17
# FAR = (1-erf(sqrt( ln( O_thresh))))


import matplotlib.pyplot as plt
import numpy as np
from scipy import special

plt.ion()
plt.close('all')
O_t = np.exp(np.arange(3,15,0.1))

# plt.plot(O_t)

far = 1 - special.erf( np.sqrt( np.log( O_t )))

plt.loglog(O_t, far)
plt.loglog(O_t, 1/O_t)
plt.grid()
